0.34

New ROM sets supported (in alphabetical order):
-----------------------------------------------

1942 (set 3) (merged) [Nicola Salmoria]
4D Warriors [Nicola Salmoria]
600 (merged with Turtles) [John Dondzila]
720 Degrees (set 2) (merged) [Nicola Salmoria]
APB (set 2) (merged) (this fixes the title screen)
Alex Kidd (not working) [Phil Stroffolino]
Alien Storm (not working) [Phil Stroffolino]
Alpine Ski (two sets merged) [John Butler]
Area 88 (merged with UN Squadron) [Santeri Saarimaa]
Arkanoid 2 [Luca Elia, Mirko Buffoni]
Arm Wrestling [Nicola Salmoria]
Armored Car (set 2) (merged) [Nicola Salmoria]
Astro Fighter (set 3) (merged) [Zsolt Vasvari]
Aurail (not working) [Phil Stroffolino]
Avengers (two sets merged) (not working due to protection) [Paul Leaman]
Bagman (Stern set 1) (merged) [Nicola Salmoria]
Beastie Feastie [Clay Cowgill, Mike Balfour]
Bio Attack (no collision detection) [Thierry Lescot]
Bionic Commando (2 sets merged) [Steven Frew, Phil Stroffolino, Paul Leaman]
Black Tiger (bootleg) (merged) [Marco Cassili]
Block Gal (not working due to encryption) [Nicola Salmoria]
Brain [Nicola Salmoria]
Brix (merged with zzyzzyxx) [Brad Oliver]
Bull Fight [Nicola Salmoria]
Cop 01 (2 sets merged) [Carlos A. Lozano]
Calipso [Brad Oliver]
Captain Commando [Paul Leaman]
Carrier Air Wing (World) (merged) [Nicola Salmoria]
Checkmate [Al Kossow]
Cheeky Mouse [Chris Moore]
Commando (Data East) (merged) [Nicola Salmoria]
Cook Race [Nicola Salmoria]
Crystal Castles (set 2) (merged) [Nicola Salmoria]
DakkoChan Jansoh (not working due to encryption) [Nicola Salmoria]
Defence Command [Nicola Salmoria]
Defense Command [David Winter]
Discs of Tron (Upright) (merged) [Nicola Salmoria]
Dynamite Dux [Phil Stroffolino]
Dynasty Wars (not working) [Paul Leaman]
E-Swat (not working) [Phil Stroffolino]
Electric Yo-Yo (not working due to protection) [Al Kossow]
Exciting Soccer (two sets merged) [Ernesto Corvi, Jarek Parchanski]
Exerion (Taito) (merged) [Nicola Salmoria]
Express Raider (2 sets merged) [Ernesto Corvi]
Exterminator [Alex Pasadyn, Zsolt Vasvari]
F1 Dream (bootleg) (merged) (this one works) [Paul Leaman]
Fantasy Zone (not working) [Phil Stroffolino]
Flash Point (not working) [Phil Stroffolino]
Flicky (2 sets merged) [Nicola Salmoria]
Formation Z (merged with Aeroboto) [Nicola Salmoria]
Frogs [Nicola Salmoria]
Future Spy [Nicola Salmoria]
Galactic Warriors [Andrew Prime]
Galaxy Rescue (merged with Lunar Rescue) [David Winter]
Galivan [Luca Elia, Olivier Galibert]
Gardia (not decrypted YET) [Nicola Salmoria]
Get Star [Luca Elia]
Ghostbusters [Bryan McPhail]
Ghosts'n Goblins (2 new sets, merged) [Zsolt Vasvari, Nicola Salmoria]
Golden Castle (merged with gladiatr) [Steve Ellenoff]
Golden Star (blue version) (merged) [Mirko Buffoni]
Gradius [Andrew Prime]
Great Swordsman [Steve Ellenoff]
Gridiron Fight [Nicola Salmoria]
Growl [Brad Oliver]
Gun Dealer (set 2) [Gerald Vanderick]
Gunsmoke (US set 2, without the reset bug) (merged) [Nicola Salmoria]
Hard Hat [Al Kossow]
Heavy Metal [Nicola Salmoria]
Heavyweight Champ (not working) [Phil Stroffolino]
Heiankyo Alien [Nicola Salmoria]
Heli Fire (set 2) [David Winter]
Hi Impact Football [Alex Pasadyn, Zsolt Vasvari, Kurt Mahan]
HigeMaru [Mirko Buffoni]
Hustle [Frank Palazzolo]
Hyper Olympic (bootleg using ADPCM samples) (merged) [David Winter]
I'm Sorry (2 sets merged) [Nicola Salmoria]
Intrepid [Zsolt Vasvari]
Invader's Revenge (Dutchford) [David Winter]
Jack Rabbit (2 new sets merged) [Nicola Salmoria]
Jack the Giant Killer (set 2) (merged) [Thierry Lescot]
Jail Break [Ernesto Corvi]
Jump Shot (not working due to encryption) [Nicola Salmoria]
Jumping (merged with Rainbow Islands) [Mike Coates]
Jungler (Stern) (merged) [Nicola Salmoria]
Kangaroo (bootleg) (merged) [Nicola Salmoria]
Karate Champ (1 Player) [Ernesto Corvi]
Karate Champ (VS and Karatedo, merged) [Ernesto Corvi]
Kick (upright version) (merged) [Nicola Salmoria]
Kid Niki [Phil Stroffolino]
King & Balloon [Brad Oliver]
Klax (set 3) (merged) [Nicola Salmoria]
Kram (not playable) (2 sets merged)
Kung Fu Master (2 new sets merged) [Nicola Salmoria]
Lady Bug (bootleg) (merged) [Marco Cassili]
Last Duel (bootleg) (this fixes the graphics) [Bryan McPhail]
Legendary Wings (US set 2) (merged) [Nicola Salmoria]
Liquid Kids [Brad Oliver]
Lode Runner (set 1) (merged) [Nicola Salmoria]
Lode Runner IV [Nicola Salmoria]
Lost Tomb (hard) (merged) [Michael Appolo]
M79 Ambush [Al Kossow]
Magic Sword (USA) (merged) [Nicola Salmoria]
Major League (not working) [Phil Stroffolino]
Mania Challenge (set 2) (merged) [Nicola Salmoria]
Max RPM (no sound due to missing ROMs) [Aaron Giles]
Maze Hunter [Bryan McPhail]
Meadows Lanes [Juergen Buchmueller]
Mega Man (merged with Rockman) [Santeri Saarimaa]
Mercs (3 sets merged) [Paul Leaman]
Midnight Resistance (Japan) (merged) [Bryan McPhail]
Mikie (headbutt version) (merged) [Nicola Salmoria]
Missile Command (set 2) (merged) [Nicola Salmoria]
Mister Viking [Nicola Salmoria]
Moon War II (2 sets merged) [Brad Oliver]
Mortal Kombat [Alex Pasadyn, Zsolt Vasvari, Kurt Mahan]
Mortal Kombat II (not working)
Mr. Do! (Yukidaruma) (merged) [Nicola Salmoria]
Mr. Do! (bugfixed) (merged) [Gareth Hall]
Mr. TNT [Brad Oliver]
My Hero (2 sets merged) [Nicola Salmoria]
NBA Jam (not working)
Narc [Alex Pasadyn, Zsolt Vasvari, Kurt Mahan]
Oscar (2 sets merged) [Bryan McPhail]
Ozma Wars [Al Kossow]
P.O.W. [Bryan McPhail]
Pac Man Plus [Clay Cowgill, Mike Balfour]
Pacland (set 1) (merged) [Nicola Salmoria]
Pang [Paul Leaman]
Penguin-Kun Wars (two sets merged) [Allard van der Bas]
Phoenix (IRECSA) (merged) [David Winter]
Pickin' [Nicola Salmoria]
Pinball Action (set 2) (merged) [Marco Cassili]
Pitfall II (encrypted version) (merged) [Nicola Salmoria]
Polaris (set 2) [Victor Trucco]
Pooyan (Konami) (merged) [Nicola Salmoria]
Pot of Gold [Nicola Salmoria]
Psychic 5 [Jarek Parchanski]
Quartet II (not working) [Phil Stroffolino]
Qwak (prototye) [Mike Balfour]
RF2 [Andrew Prime]
Regulus (2 sets merged) [Nicola Salmoria]
Renegade (two sets, only the bootleg works) [Phil Stroffolino]
Ring King / King of Boxer (merged) [Ernesto Corvi]
River Patrol / Silver Land [Zsolt Vasvari]
Road Fighter (set 2) (merged) [Nicola Salmoria]
Rockman [Paul Leaman]
Rygar (US set 1) (merged) [Nicola Salmoria]
SDI (not working) [Phil Stroffolino]
SWAT [Nicola Salmoria]
Samurai [Nicola Salmoria]
Sasuke vs. Commander [Nicola Salmoria]
Sauro [Zsolt Vasvari]
Scion (2 sets merged) [Nicola Salmoria]
Sea Fighter Poseidon (not working due to protection) [Nicola Salmoria]
Sega Ninja / Ninja Princess (merged) [Jarek Parchanski, Nicola Salmoria]
Shark Attack [Victor Trucco]
Side Track [Al Kossow]
Sidearms (US) (merged) [Nicola Salmoria]
Silkworm (set 2) (merged) [Nicola Salmoria]
Sinistar (revision 2) (merged) [Howie Cohen]
Smash TV (2 sets merged) [Alex Pasadyn, Zsolt Vasvari, Kurt Mahan]
Snow Bros (set 1) (merged) [Zsolt Vasvari]
Space Fever (B&W) [Al Kossow]
Space Panic (German) [Mike Coates]
Space Trek (cocktail version) [Nicola Salmoria]
Speak & Rescue [Al Kossow]
Spectar (revision 3) (merged) [Al Kossow]
Speed Ball [Joseba Epalza]
Spelunker II [Phil Stroffolino]
Star Jacker [Nicola Salmoria]
Stinger [Nicola Salmoria]
Street Fighter 2 (2 sets merged) [Paul Leaman]
Strike Force [Alex Pasadyn, Zsolt Vasvari, Kurt Mahan]
Subs [Mike Balfour]
Super Bagman (Valadon) (merged) [Nicola Salmoria]
Super Casino [Thierry Lescot]
Super Hi Impact [Alex Pasadyn, Zsolt Vasvari, Kurt Mahan]
Super Invaders [David Winter]
Super Mouse [Brad Oliver]
Superman [Howie Cohen, Brad Oliver]
Tag Team Wrestling [Steve Ellenoff, Brad Oliver]
Tecmo Knight [Nicola Salmoria]
TeddyBoy Blues [Nicola Salmoria]
Terminator 2 (not playable)
Terra Cresta (two sets merged) [Carlos A. Lozano]
Tetris (Cocktail set 1) (merged) [Zsolt Vasvari]
The Billiards (merged with Video Hustler) [Nicola Salmoria]
The Empire Strikes Back (not playable) [Brad Oliver]
The King of Dragons (2 sets) [Paul Leaman]
The Tin Star (not complete) [Nicola Salmoria]
Tiger Heli (4 sets merged, only 2 work) [Nicola Salmoria]
Time Pilot (Centuri) (merged) [Nicola Salmoria]
Time Pilot 84 (set 2) (merged) [Nicola Salmoria]
Time Scanner (not working) [Phil Stroffolino]
Time Tunnel [Thierry Lescot]
Toki no Senshi [Nicola Salmoria]
Tokio / Scramble Formation (two sets merged) [Marcelo de G. Malheiros, Fredrik Sjostedt]
Tomahawk 777 (two sets merged) [Zsolt Vasvari]
Top Gunner (bootleg; also fixed the original set) [Nicola Salmoria]
Total Carnage (2 sets merged) [Alex Pasadyn, Zsolt Vasvari, Kurt Mahan]
Tough Turf (not working) [Phil Stroffolino]
Track & Field (Centuri) [Nicola Salmoria]
Treasure Hunt (not working due to encryption) [Brad Oliver, Mike Balfour]
Trog (3 sets merged) [Alex Pasadyn, Zsolt Vasvari, Kurt Mahan]
Tron (set 2) (merged) [Nicola Salmoria]
Turbo (preliminary) (3 sets merged) [Alex Pasadyn, Howie Cohen, Frank Palazzolo]
Twin Cobra (preliminary) [Quench]
TwinBee [Andrew Prime]
Ufo Senshi Yohko Chan (not working due to encryption) [Nicola Salmoria]
Vanguard (Centuri) (merged) [Nicola Salmoria]
Varth [Paul Leaman]
Vastar (set 2) (merged) [Nicola Salmoria]
Venture (version 4) (merged) [Al Kossow]
Venus (merged with Gyruss) [Nicola Salmoria]
Vigilante (two sets merged) [Mike Balfour, Phil Stroffolino]
Vulgus (set 2) (merged) [Nicola Salmoria]
Water Ski [Nicola Salmoria]
Western Express (merged with Express Raider) [Nicola Salmoria]
Wonder Boy (many new sets, all merged) [Nicola Salmoria]
Wonder Boy Monster Lair [Phil Stroffolino]
Wrestle War [Phil Stroffolino]
Yankee Do! (merged with Mr. Do!) [Lee Taylor]
Zero Zone [Brad Oliver]
Zig Zag (2 sets merged) [Nicola Salmoria]



NeoGeo Support
--------------

You need a zip file called neogeo.zip in your rompath.  It should contain at
least three files:

neo-geo.rom (128k)
ng-sfix.rom (128k)
ng-sm1.rom (128k)

Important!  The bios zip file must be called neogeo.zip NOT neo-geo.zip, ie,
there should be no dash in the middle.

You also need to place the game zip in your rompath.  If you do not know what 8
character filename the NeoGeo game you want to play has you can type:

mame -listclones neogeo

That will list the 8 character zip names of all currently supported games.

- Optional rom loading of samples:  You may find games that do
  not work now due to lack of memory as all the sound roms need to be loaded.
  Some games will require an extra 16 megabytes of memory to load the sound
  roms. You can force Mame NOT to load these samples if you specify no sound
  BEFORE rom loading takes place.  In Dos this means you must type:

  mame game -soundcard 0

  If you DO NOT specify soundcard 0 then all sound roms will be loaded and
  you may experience memory problems.

- All games work, both in arcade and home mode. If you are stuck with a
  copyright message or the coin inputs don't work, delete the .CFG and .HI file
  for that game. This will fix the problem.
  Super Sidekicks controls stop working after a couple of minutes, though.

- Sound support is 99% complete. If you experience garbled sound and you get
  NO GOOD DUMP EXISTS errors, this is caused by bad ROMs, not by imperfect
  emulation. There is NO WAY to fix that apart from redumping the bad ROMs.

- If you get a Z80 ERROR message, it means that the sound program ROM is bad.
  Run the game without sound.

- A few games have graphics glitches which are not easily fixed (raster line
  effects).

- "ROM length mismatch" errors. If you get these, and you are using ROMs
  larger than the ones MAME expects, then this is not a fatal error and the
  game will still run fine (provided the ROMs are good, of course). You can
  "fix" the ROMs yourself just by removing the second half of the file.
  Note that the sizes used by MAME are sort of arbitrary. In many cases it is
  difficult to know for sure which size the ROMs are really supposed to be, so
  we decided to consistently use the smallest possible files. The real ROMs
  *might* be larger than that, but the extra space is not used by the game -
  it is either all FF, or contains a verbatim copy of the first half.



These drivers have improved GRAPHICS:
-------------------------------------

- Fixed colors in Fast Freddie

- In Mario Bros., the screen bounces when you hit POW. [Brad Oliver]

- Improved Slap Fight. [Christoff Feldtmann]

- Accurate colors in Money Money and Jack Rabbit. [Nicola Salmoria]

- Enemies in TNZS are now visible, using the gfx ROMs from a new set (which is
  not supported yet). [Chris Moore]

- Fixed sticking sprites in Pnickies and Nemo. [Paul Leaman]

- The background in Golden Star changes color correctly. [Nicola Salmoria]

- Accurate colors in Astro Fighter (PROMs required). [Zsolt Vasvari]

- Accurate colors in Lost Tomb (PROMs required). [Michael Appolo]

- Fixed tile flipping bug in Solomon's Key. [Nicola Salmoria]

- Fixed fg/bg priority in TeddyBoy Blues and Choplifter. [Nicola Salmoria]

- Fixed transparency in Fire Trap. [Nicola Salmoria]

- Fixed gfx banks in Pop Flamer. [Brad Oliver]

- Pleiads colors might be correct now. [Nicola Salmoria]

- Accurate colors in Strategy X. [Gerald Vanderick]

- Backdrop support in Discs of Tron. The background image must be called
  ARTWORK/DOTRON.PNG. [Mathis Rosenhauer, Brandon Kirkpatrick]

- Fixed sprite flipping in Super Qix. [Mirko Buffoni]

- Accurate colors in Jungler. Also fixed char flipping and sprite alignment.
  [Nicola Salmoria]

- Fixed bad graphics in Champion Baseball. [Nicola Salmoria]

- Better colors in Scion (still not accurate) [Dick Millikan]

- Added artwork support to Lunar Lander. [Cristopher Kirmse]

- Added artwork support to Asteroid Deluxe. [Peter Hirschberg, Mathis Rosenhauer]

- Fixed mooncrgx. [Barry Rodewald]

- High resolution sprites in Blasteroids. [Nicola Salmoria]

- Fixed flickering sprites in Super Space Invaders. [Andrew Prime]

- Accurate colors in Space Panic. [Mike Coates]



These drivers have new or improved SOUND:
-----------------------------------------

- Sound in Gladiator. [Steve Ellenoff]

- The music in Bubble Bobble stays in sync now. [Tatsuyuki Satoh]

- Rewritten the SN76496 emulator. This fixes speech in Choplifter.
  [Nicola Salmoria]

- Fixed pitch in the System 8 games. [Hiromitsu Shioya]

- Added RC filter emulation to Gyruss. This improves some sound effects, e.g.
  the force field noise. [Francesco Caporali]

- Sound in Mysterious Stones. [Nicola Salmoria]

- Fixed sound pitch and tempo in Donkey Kong. [Mirko Buffoni]

- Improved music tempo in SlapFight. [Sebastien Chevalier]

- Sound in all of the working System 16 games. [Phil Stroffolino]

- Emulation of the Astrocade sound chip (Gorf, Wizard of Wor, etc.)
  [Frank Palazzolo]

- Improved speech in Gorf. It now plays speech 100% accurately except for the
  missing samples. [Kevin Bales]

- Partial sound in Punk Shot. [Nicola Salmoria]

- Sound in Super Space Invaders. [Ernesto Corvi]

- Added decay to Donkey Kong. [Andrew Scott]

- Added some more sound effects to Juno First. The shoot sound is still
  missing. [Nicola Salmoria]

- Improved the Pokey emulation. [Juergen Buchmueller]

- Support for stereo output. This is implelemented in the YM2610 and in
  Tatsuyuki's YM2151. It can be used by other games, for example the Atari
  System 2 games (Paper Boy etc.) have two Pokeys, one per channel.
  [Nicola Salmoria]

- Fixed bass track in Do Run Run. [Jim Hernandez]

- Partial sound in Satan of Saturn. [Nicola Salmoria]

- Preliminary sound support in the Exidy games. [Dan Boris]

- Fixed music in Moon Patrol, Traverse USA and the other Irem games.
  [Nicola Salmoria]

- Samples support in Astro Fighter. [Zsolt Vasvari]



These drivers have HIGH SCORE support:
--------------------------------------

NOTE: the high score save format has changed in some games to make it cross
platform. The old scores for those games will be lost. If you see garbage in
the high score table, or otherwise strange behaviour, delete the .hi file.

- Xain'd Sleena/Solar Warrior, Pinball Action, Tiger Road, Karnov, Chelnov,
  Heavy Barrel, Bad Dudes, Robocop, Hippodrome, Sly Spy, Midnight Resistance,
  Nemesis. [Dani Portillo]

- Shark Attack. [Mike Balfour]

- Flicky, Bull Fight, I'm Sorry, Star Jacker, Mr Viking, 4d Warrior, TeddyBoy
  Blues, Beastie Feastie, Contra, Cobra Command, Super Qix, Vigilante, Pang,
  HigeMaru, Hexa, Terra Cresta, Rastan, Tiger Heli. [Juan Carlos Lorente]

- Quantum. [Nicola Salmoria]

- Champion Baseball, Wonder Boy, Regulus, SWAT, Heavy Metal, Brain,
  Toki no Senshi, Bionic Commando, Blasto, Tomahawk, Astro Invader,
  Block Out, Dark Seal, Cosmic Alien, Crazy Balloon, Radarscope, Side Track.
  [Howie Cohen]

- Money Money, Jack Rabbit, Penguin-Kun Wars. [Roberto Fresca]

- Cloak and Dagger, Frenzy, Future Spy, Cop 01, Lode Runner, Kid Niki,
  Spelunker II, Jail Break, The Main Event, King of Boxer, Express Raider,
  Pac Land, Speed Ball, TMNT, Punk Shot. [Dave W.]

- Exciting Soccer. [Jarek Parchanski]

- Scion, Stinger. [Zsolt Vasvari]



Other drivers changes:
----------------------

- The original Elevator Action now works, using the 68705 mcu ROM which was
  missing. Since there is one additional CPU to emulate, it is slower than the
  bootleg version. [Nicola Salmoria]

- Replaced Front Line with the complete set containing the 68705 code. It
  still doesn't work though. [Nicola Salmoria]

- Replaced Golden Star with the original, encrypted set. [Mirko Buffoni]

- Improvements to the System 8 driver. [Nicola Salmoria]

- Front Line and Tin Star have the aiming dial (using a dual joystick setup).
  Also, you can now kill and be killed in Front Line. However, collision
  detection is not accurately emulated. [Nicola Salmoria]

- Fixed ending in Robocop. [JC Alexander]

- *FINALLY* fixed Commando sometimes not starting. It was a bug in the decode
  routine, which has been completely rewritten. [Nicola Salmoria]

- Improved Gladiator input handling. [Tatsuyuki Satoh]

- Improved the System 16 drivers. [Phil Stroffolino]

- Fixed movement of the squares in Checkman. [Brad Oliver]

- Fixed hang on level 7 of Discs of Tron. [Jim Thevenot]

- Fixed Blasto. [Juergen Buchmueller]

- Chelnov is now playable! Plus many other fixes to the driver including
  slowdowns in Karnov. [Bryan McPhail]

- Fixed srumbler2. [Paul Leaman]

- Several improvements and bug fixes to the Data East 68000 games (Midnight
  Resistance, Bad Dudes, Robocop, etc.). [Bryan McPhail]

- Fixed resetting bug in Triple Punch. [Zsolt Vasvari]



Changes to the main program:
----------------------------

- Fixed a bug in the NOT instruction of the 68000 core. [Mike Coates]

- You can proceed from the "press OK to continue" screen by pushing left then
  right. You can also immediately quit by pressing ESC. [Nicola Salmoria]

- Vector translucency can be turned off with -notranslucency.
  [Valerio Verrando]

- [DOS] New -romident option. Use "MAME -romident dirname" to identify unknown
  ROM sets.

- Switched to CRC-32 for file integrity checks. The old custom checksums are no
  longer used. [John Butler, Bernd Wiebelt]

- When using zipped files, ROMs are automatically retrieved even if they don't
  have the expected name (provided they have the correct CRC-32, of course).
  You'll never have to rename files any more (though you might have to rename
  zips ;-) [Nicola Salmoria]

- [DOS] New command -listcrc. It lists the CRC-32 for all the supported ROMs.
  00000000 means that the ROM is known to be bad. [Nicola Salmoria]

- Fixed bug in the 68000 interrupt handling which caused Rastan Saga to not
  boot correctly. [Brad Oliver]

- [DOS] Profiler. To enable it, use the -profiler parameter; then,
  hit Left Shift + F11 to show the results on screen.
  The profiler REQUIRES the Pentium-class RDTSC instruction. It will not work
  on 486s, older Pentiums, and maybe other non-Intel CPUs. [Nicola Salmoria]

- Improved the user interface. Use "the key on the left of 1" (tilde on some
  leyboards) to turn on the On Screen Display which lets you change Volume,
  Gamma Correction, Brightess, and independently set the volume levels of the
  sound chips. Tab still brings up the setup menu, which is now asynchronous.
  [Nicola Salmoria]

- [DOS] Replaced the -fm option with -ym2203opl. Added -noym3812opl to use the
  digital emulation of the YM3812 instead of the SoundBlaster OPL chip. Note
  that with -noym3812opl you also need external drum samples. [Nicola Salmoria]

- Clone sets are not reported as missing by -verifyroms if only the parent set
  is present. [John Butler]

- [DOS] Stereo sound support. It is a little slower than mono, to turn it off
  use -nostereo. Stereo is enabled only for games which really need it. The
  others always use mono.

- [DOS] New -listinfo command to give details on all of the supported games.
  [Andrea Mazzoleni]

- Several changes to the cheat system, you'll have to download a new cheat
  database if you want to use it. [Stephane Humbert]

- [DOS] Now using a new beta version of the SEAL audio library which further
  improves the dynamic range. You'll notice louder and better balanced sound
  in many games. Let me know about games with bad balance.
  The new library should also fix problems with the ENSONIQ AudioPCI and
  Creative PCI64 cards. [Nicola Salmoria]

- When using the SoundBlaster OPL chip, YM3812 commands are converted to play
  at the correct frequency. [Carl-Henrik Skårstedt]

- Joystick calibration is available in the Tab menu. [Bernd Wiebelt]

- Fixed bug in the Z80 emulator which caused crashes in Tapper and Tron.
  [Juergen Buchmueller]



Source:
-------

- Moved the Sega encryption code used by Flicky, Future Spy, and many others,
  to machine/segacrpt.c. [Nicola Salmoria]

- Added memory_region_length field to the RunningMachine structure. This could
  be useful for drivers which handle several games on similar hardware.
  [Nicola Salmoria]


- TMS34010 emulator. [Alex Pasadyn, Zsolt Vasvari]

- Replaced the 6502 emulator with a new one which also supports 65C02 and 6510.
  Marat Fayzullin's core is no longer used. [Juergen Buchmueller]

- Fixed a bug in the 68000 BCD emulation which caused the F1 Dream timer to
  malfunction. [Nicola Salmoria]

- Fixed bug in the Z80 block I/O instructions (INI, IND, INIR, INDR, OUTI,
  OUTD, OTIR, and OTDR). [Frank Palazzolo]

- [DOS] Rearranged the makefile using archives to work around E2BIG error on
  some machines. [Juergen Buchmueller]

- Improved unzip code robustness when dealing with corrupt archives.
  [John Butler]

- Fixed SBCD in M68000 disassembler. [Mike Coates]

- New unzip interface. New zip directory cache and filename cache (the latter
  only in the DOS version). [Andrea Mazzoleni]

- New streams.c to abstract audio streams. This makes them easier to use and
  more efficient. osd_play_streamed_sample() should now be considered a private
  function and should not be used in new code. [Nicola Salmoria]

- Fixed bug in the I8039 external interrupt handling. [Dan Boris]

- New file types for osd_fopen(): OSD_FILETYPE_STATE and OSD_FILETYPE_ARTWORK.

- x86 ASM 68000 core. This is a major speed improvement. [Mike Coates, Darren
  Olafson]

- YM3812 and YM3526 software emulator. In the DOS version it is disabled
  by default because we are using the 100% compatible SoundBlaster OPL chip.
  [Carl-Henrik Skårstedt]

- A begginning for a YM2413 emulator. It pushes data through the YM3812.
  [Paul Leaman, Ernesto Corvi]

- I86 disassembler for the debugger, based on code by Robin Hilliard.
  [Andrea Mazzoleni]

- New functions install_mem_read_handler() and install_mem_write_handler().
  They can be used to install special memory handlers (for example, to trap
  busy loops, or to make small changes to the memory map for games running
  on similar hardware). [Alex Pasadyn]

- New field driver_init in the GameDriver structure. It's an optional function
  which can be used to do some game specific initialization, for example by
  adding memory handlers using the above functions. [Nicola Salmoria]

- YM2610 emulator. This is used by the NeoGeo games. [Hiromitsu Shioya]

- TMS9900 emulator. [Andy Jones, based on original code by Ton Brouwer]
